Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154438 - After doing "service cups start", avc : denied ...
Summary: After doing "service cups start", avc : denied ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-11 18:00 UTC by sangu
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: selinux-policy-targeted-1.23.10-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-13 15:02:18 UTC


Attachments (Terms of Use)

Description sangu 2005-04-11 18:00:26 UTC
Description of problem:
After doing "service cups start",
in dmesg
[...]
audit(1113242102.990:0): avc:  denied  { search } for  pid=4453
exe=/usr/lib/cups/backend/hal name=dbus dev=hda8 ino=655
scontext=root:system_r:cupsd_t tcontext=system_u:object_r:system_dbusd_var_run_t
tclass=dir
audit(1113242103.283:0): avc:  denied  { search } for  pid=4440
exe=/usr/sbin/cupsd name=dbus dev=hda8 ino=655 scontext=root:system_r:cupsd_t
tcontext=system_u:object_r:system_dbusd_var_run_t tclass=dir


Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.23.9-1

How reproducible:
always

Steps to Reproduce:
1. service cups start
2.
3.
  
Actual results:


Expected results:


Additional info:
$ ls -alZ /usr/lib/cups/backend/hal
-rwxr-xr-x  root     root     system_u:object_r:cupsd_exec_t  
/usr/lib/cups/backend/hal

$ ls -alZ /usr/sbin/cupsd
-rwxr-xr-x  root     root     system_u:object_r:cupsd_exec_t   /usr/sbin/cupsd

dbus-0.31-4, hal-0.5.0.cvs20050404b-2


Note You need to log in before you can comment on or make changes to this bug.